# $Revision: 1.21 $, $Date: 2009/10/02 08:28:47 $
Summary:	X.org video driver for S3 Savage family video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych z rodziny S3 Savage
Name:		xorg-driver-video-savage
Version:	2.3.1
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-savage-%{version}.tar.bz2
# Source0-md5:	66c319f610e3699c3de0f3ef630abb32
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.1.0
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.1.0
Requires:	xorg-xserver-libglx >= 1.1.0
Requires:	xorg-xserver-server >= 1.1.0
Obsoletes:	X11-driver-savage < 1:7.0.0
Obsoletes:	XFree86-driver-savage < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for S3 Savage family video chips. It supports PCI
and AGP boards with the following chips: Savage3D, Savage4,
Savage2000, Savage/MX, Savage/IX, SuperSavage/MX, SuperSavage/IX,
ProSavage PM133, ProSavage KM133, Twister (ProSavage PN133), TwisterK
(ProSavage KN133), ProSavage DDR, ProSavage DDR-K. Savage2000 support
has acceleration limited to 2D only. Dualhead operation is supported
on MX, IX and SuperSavage chips.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych z rodziny S3 Savage.
Obsługuje karty PCI i AGP oparte na następujących układach: Savage3D,
Savage4, Savage2000, Savage/MX, Savage/IX, SuperSavage/MX,
SuperSavage/IX, ProSavage PM133, ProSavage KM133, Twister (ProSavage
PN133), TwisterK (ProSavage KN133), ProSavage DDR, ProSavage DDR-K.
Obsługa Savage2000 ma akcelerację ograniczoną do operacji 2D. Tryb
dualhead jest obsługiwany na układach MX, IX i SuperSavage. 

%prep
%setup -q -n xf86-video-savage-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/savage_drv.so
%{_mandir}/man4/savage.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-savage.spec,v $
Revision 1.21  2009/10/02 08:28:47  arekm
- release 2

Revision 1.20  2009/09/20 06:18:42  arekm
- up to 2.3.1

Revision 1.19  2009/08/20 06:18:05  amateja
- updated to 2.3.0

Revision 1.18  2009/02/25 21:06:36  arekm
- release 4

Revision 1.17  2008/12/27 09:21:29  qboosh
- R: xorg libdri,libglx

Revision 1.16  2008/08/30 16:34:14  arekm
- release 3

Revision 1.15  2008/07/01 16:10:37  arekm
- release 2

Revision 1.14  2008-05-26 20:11:15  qboosh
- updated to 2.2.1

Revision 1.13  2008-03-19 19:35:51  arekm
- up to 2.2.0

Revision 1.12  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.11  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.10  2007/08/17 09:07:45  arekm
- up to 2.1.3

Revision 1.9  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/10/03 14:04:30  qboosh
- updated to 2.1.2

Revision 1.5  2006/04/11 11:36:17  qboosh
- updated to 2.1.1

Revision 1.4  2006/01/09 13:18:26  qboosh
- 2.0.2.3 (X11R7.0 release)

Revision 1.3  2005/12/08 13:06:29  qboosh
- 2.0.2.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:38:03  qboosh
- 2.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/30 12:51:04  qboosh
- new
